# class SS7BICC | SS7 BICC implementation. More...
Full name | `TelEngine::SS7BICC`
Definition | `#include <libs/ysig/yatesig.h>`
Inherits | TelEngine::SS7ISUP [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- SS7BICC (const NamedList& params, unsigned char sio = SS7MSU::BICC|SS7MSU::National)
- virtual ~SS7BICC ()

#### Protected Methods

- virtual HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls)

## Detailed Description

Implementation of SS7 Bearer Independent Call Control User Part

SS7BICC (const NamedList& params, unsigned char sio = SS7MSU::BICC|SS7MSU::National) | ### SS7BICC

Constructor

Parameters:

params | Call controller's parameters
sio | The default Service Information Octet

~SS7BICC () | ### ~SS7BICC

[virtual]

Destructor Terminate all calls

HandledMSU receivedMSU (const SS7MSU& msu, const SS7Label& label, SS7Layer3* network, int sls) | ### receivedMSU

[protected virtual]

Process a MSU received from a Layer 3 component

Parameters:

msu | Message data, starting with Service Indicator Octet
label | Routing label of the received MSU
network | Network layer that delivered the MSU
sls | Signalling Link the MSU was received from

Returns: Result of MSU processing

Reimplemented from SS7ISUP.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.